View Issue Details

IDProjectCategoryView StatusLast Update
0004155unrealinstallingpublic2013-04-02 17:31
ReporterkatsklawAssigned Tonenolod 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSOpenBSDOS Version5.2
Product Version3.2.10 
Target VersionFixed in Version3.2.10.1 
Summary0004155: make fails on OpenBSD 5.2
Description$ make > makelog
In file included from /usr/include/sys/poll.h:54,
                 from s_bsd.c:78:
/usr/include/ctype.h:61: error: expected expression before ']' token
/usr/include/ctype.h:62: error: expected expression before ']' token
/usr/include/ctype.h:63: error: expected expression before ']' token
/usr/include/ctype.h:64: error: expected expression before ']' token
/usr/include/ctype.h:65: error: expected expression before ']' token
/usr/include/ctype.h:65: error: expected ')' before '&&' token
/usr/include/ctype.h:66: error: expected expression before ']' token
/usr/include/ctype.h:66: error: expected ')' before '&&' token
/usr/include/ctype.h:67: error: expected expression before ']' token
/usr/include/ctype.h:68: error: expected identifier or '(' before '!' token
/usr/include/ctype.h:69: error: expected expression before ']' token
/usr/include/ctype.h:70: error: expected expression before ']' token
/usr/include/ctype.h:70: error: expected ')' before '&&' token
/usr/include/ctype.h:71: error: expected expression before ']' token
/usr/include/ctype.h:71: error: expected ')' before '||' token
/usr/include/ctype.h:72: error: expected expression before ']' token
/usr/include/ctype.h:81: error: expected ')' before '>=' token
/usr/include/ctype.h:91: error: expected ')' before 'c'
/usr/include/ctype.h:91: error: expected expression before ']' token
/usr/include/ctype.h:96: error: expected ')' before 'c'
/usr/include/ctype.h:96: error: expected expression before ']' token
/usr/include/ctype.h:101: error: expected ')' before 'c'
/usr/include/ctype.h:101: error: expected expression before ']' token
/usr/include/ctype.h:106: error: expected ')' before 'c'
/usr/include/ctype.h:106: error: expected expression before ']' token
/usr/include/ctype.h:111: error: expected ')' before 'c'
/usr/include/ctype.h:111: error: expected expression before ']' token
/usr/include/ctype.h:111: error: expected ')' before '&&' token
/usr/include/ctype.h:116: error: expected ')' before 'c'
/usr/include/ctype.h:116: error: expected expression before ']' token
/usr/include/ctype.h:116: error: expected ')' before '&&' token
/usr/include/ctype.h:121: error: expected ')' before 'c'
/usr/include/ctype.h:121: error: expected expression before ']' token
/usr/include/ctype.h:126: error: expected identifier or '(' before '!' token
/usr/include/ctype.h:131: error: expected ')' before 'c'
/usr/include/ctype.h:131: error: expected expression before ']' token
/usr/include/ctype.h:136: error: expected ')' before 'c'
/usr/include/ctype.h:136: error: expected expression before ']' token
/usr/include/ctype.h:136: error: expected ')' before '&&' token
/usr/include/ctype.h:141: error: expected ')' before 'c'
/usr/include/ctype.h:141: error: expected expression before ']' token
/usr/include/ctype.h:141: error: expected ')' before '||' token
/usr/include/ctype.h:146: error: expected ')' before 'c'
/usr/include/ctype.h:146: error: expected expression before ']' token
/usr/include/ctype.h:153: error: expected ')' before 'c'
/usr/include/ctype.h:153: error: expected expression before ']' token
/usr/include/ctype.h:169: error: expected ')' before '>=' token
$
Steps To Reproducerun make after ./Config
TagsNo tags attached.
3rd party modules

Activities

katsklaw

2013-01-03 03:19

reporter   ~0017293

For the record, FreeBSD 8.3 is not affected.

Jobe1986

2013-01-04 18:23

reporter   ~0017295

FreeBSD 9.0 is also unaffected.

katsklaw

2013-01-05 07:26

reporter   ~0017297

NetBSD6 is also unaffected so I'm tending to think it's a bug in OBSD it's self.

nenolod

2013-01-07 01:31

reporter   ~0017301

I will try to get a workaround for this, OpenBSD has some kind of crufty headers, so it's definitely a bug there, but we should work around it none-the-less.

nenolod

2013-01-14 09:17

reporter  

unreal-3.2.10-broken-poll-headers.patch (2,149 bytes)

nenolod

2013-01-14 09:18

reporter   ~0017357

This is more a demonstration of bitrot than anything else. The poll(2) support in Unreal 3.2 is mostly a fixed up version of the poll(2) support in DreamForge, which made a bunch of assumptions about headers that were relevant in the 1990s.

OpenBSD has broken headers, which are incompatible with those assumptions, so I have done the logical thing and pulled in system includes earlier, so that our crap doesn't pollute their crap and vice-versa.

Attached patch fixes it for 3.2, I will do a different fix for 3.4 (namely separating out the system includes).

syzop

2013-01-14 14:44

administrator   ~0017372

Thanks, I'll check it out later and apply.
katsklaw/original reporter: could you check if it works for you?

sentinel256

2013-04-02 15:22

reporter   ~0017467

applied patch and built successful on openbsd 5.2 (amd64) using gmake

syzop

2013-04-02 17:30

administrator   ~0017468

Last edited: 2013-04-02 17:31

View 2 revisions

Thanks for the feedback!
I've applied the patch, so it's now in 3.2.x

I see a commit 2 months ago in 3.4 as well, so I presume the issue has been handled and have marked it as resolved.

3.2: http://hg.unrealircd.com/hg/unreal/rev/1672141ba571

3.4: http://hg.unrealircd.com/hg/unreal/rev/168720c37832

Issue History

Date Modified Username Field Change
2013-01-02 23:32 katsklaw New Issue
2013-01-03 03:19 katsklaw Note Added: 0017293
2013-01-04 18:23 Jobe1986 Note Added: 0017295
2013-01-05 00:00 syzop Assigned To => nenolod
2013-01-05 00:00 syzop Status new => assigned
2013-01-05 07:26 katsklaw Note Added: 0017297
2013-01-07 01:31 nenolod Note Added: 0017301
2013-01-14 09:17 nenolod File Added: unreal-3.2.10-broken-poll-headers.patch
2013-01-14 09:18 nenolod Note Added: 0017357
2013-01-14 09:18 nenolod Status assigned => has patch
2013-01-14 14:44 syzop Note Added: 0017372
2013-04-02 15:22 sentinel256 Note Added: 0017467
2013-04-02 17:30 syzop Note Added: 0017468
2013-04-02 17:30 syzop Status has patch => resolved
2013-04-02 17:30 syzop Fixed in Version => 3.2.10.1
2013-04-02 17:30 syzop Resolution open => fixed
2013-04-02 17:31 syzop Note Edited: 0017468 View Revisions